import * as EventEmitter from 'eventemitter3';
export declare class Line extends EventEmitter {
    private text;
    private container;
    private textField;
    private advanceButton;
    private active;
    constructor(text: string);
    getDOMNode(): HTMLElement;
    display(element: HTMLElement, appearingCharacters?: boolean, appearingCharacterSpeed?: number): void;
    private fillText;
    getAdvanceButton(): HTMLElement;
}
